/************** CUSTOM ****************/
.container {
    border-top: 1px solid #D2D2D2;
}

nav.tabs {
  padding-bottom: 22px;
}

nav > ul {
    list-style-type: none;
    margin-top: 12px;
    text-align: center;
}

nav > ul > li {
    display: inline;
    color: #696969;
    cursor: pointer;
    font-size: 18px;
    font-weight: 700;
    margin-right: 30px;
    padding-bottom: 4px;
}

nav > ul > li.selected, nav > ul > li.hovered {
    border-bottom: 4px solid #FDBF11;
    color: #353535;
}

nav > ul > li:last-of-type {
    margin-right: 0;
}

h3.chart-title {
  margin-bottom: 30px;
}

.chart-title {
    display: none;
}

.chart-title.selected {
    display: inline-block;
}


.clear {
    clear: both;
}

.graphic-wrapper {
  float: left;
  width: 76.5%;
}

.kicker {
  font-size: 30px;
  font-weight: 300;
  margin-bottom: 5px;
  text-transform: uppercase;
}

div.legend-wrapper {
  float: right;
  margin-top: -6px;
  width: 23%;
}

.legend-wrapper > text {
  font-size: 14px !important;
  font-style: italic;
  font-weight: 400;
}

.legend-wrapper > text > span {
  display: block;
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: 19px;
}

.legend-wrapper > text > span.hover-month {
  font-weight: 400;
  height: 18px;
  margin-bottom: 11px;
  text-transform: uppercase;
}

li.key-item > text.running-total {
  font-size: 14px;
  font-weight: 700;
}

li.key-item > text.running-total:before {
  content: ': ';
}


#place-dropdown-button {
  background-color: #FFFFFF;
  background-image: url('../img/arrow2.png');
  background-position: 100% 25%;
  background-repeat: no-repeat;
  background-size: 20px 20px;
  border: none;
  font-family: Lato;
  font-size: 30px;
  font-weight: 300;
  margin-bottom: 4px;
  margin-top: 5px;
  padding: 0;
  text-transform: uppercase;
  width: fit-content;
}

.tracker-container {
  border-top: 1px solid #d2d2d2;
}

.ui-selectmenu-text {
  margin-right: 28px;
}

.ui-state-active,
.ui-widget-content .ui-state-active,
.ui-widget-header .ui-state-active,
a.ui-button:active,
.ui-button:active,
.ui-button.ui-state-active:hover {
  border: 1px solid #1696d2;
  background: #1696d2;
  font-weight: normal;
  color: #ffffff;
}

.ui-widget {
  font-family: Lato;
}

.toggle {
    display: inline;
    float: left;
    margin-right: 30px;
    margin-top: 5px;
}

.toggle.btm {
    border-left: 1px solid #D2D2D2;
    padding-left: 30px;
}


.toggle > p.label, .toggle > p.label  {
    display: inline-block;
    font-size: 14px;
    font-weight: 700;
}

/************** PAGE ****************/

svg, text, body {
	font-family: Lato;
}

body {
    color: #353535;
    margin: 0;
    padding: 0;
    font-size: 100%;
    line-height: 1.5;
}

a {
    color: #1696d2;
    text-decoration: none;
}

a:hover {
    color: #1696d2;
}

strong {
    font-weight: bold;
}

.container {
    max-width: 1020px;
    width: 100%;
    margin: 0 auto;
    box-sizing: border-box;
}

.graphic {
    width: 100%;
}

.chart-title {
    font-size: 1.125rem;
    font-weight: bold;
    margin: 0;
    margin-bottom: 0.3em;
}

.chart-subtitle {
    font-size: 0.875rem;
    margin: 0;
    margin-bottom: 1.2em;
}

.chart-source {
    font-size: 0.6875rem;
    margin: 0;
    margin-top: 15px;
    padding-bottom: 2px;
}

.chart-note {
    font-size: 0.6875rem;
    margin: 0;
    margin-bottom: 18px;
}

.download-button {
  background-color: #000000;
  background-image: url(../img/download-arrow.png);
  background-position: 94% 48%;
  background-repeat: no-repeat;
  background-size: 16px 16px;
  color: #FFFFFF;
  font-size: 18px;
  padding: 6px 10px;
  text-transform: uppercase;
  width: 179px;
}

.hidden {
    display: none;
}

/***************** GENERAL CHART STYLES ***********************/

.graphic {
    position: relative;
}

.graphic text {
    font-size: 0.75rem;
}

.graphic-wrapper {
    position: relative;
}

.inchart-axis {
  stroke: #d2d2d2;
}

.x-axis {
  stroke: #353535;
}

.zero-line {
    stroke: #d2d2d2;
    stroke-width: 1px;
}

/******************* BAR CHART STYLES *********************/

.bar {
    fill: #1696d2;
}

/******************* AREA CHART STYLES ********************/

.area {
    fill: #1696d2;
}

/******************** LINE CHART STYLES *******************/

.line {
    fill: none;
    stroke-width: 2px;
}

/******************** DOT PLOT STYLES *********************/

.dotPlot-line {
    stroke: #696969;
    stroke-width: 2px;
}

.dotPlot-label {
    text-anchor: end;
}

/******************** SCATTERPLOT STYLES ******************/

.dot {
    fill: #1696d2;
    stroke: #fff;
    stroke-width: 1px;
}

/******************** AXES STYLES *************************/

.axis-title {
    font-size: 0.75rem;
    font-style: italic;
    margin: 1em 0;
}

.axis line {
    stroke: #dedddd;
    stroke-width: 1px;
}

.x.axis line {
    stroke: #000;
}

.barChart.x.axis line {
    stroke: #dedddd;
}

.scatterplot.x.axis line,
.scatterplot.y.axis line {
    stroke: #000;
}

.gridlines line {
    stroke: #dedddd;
}

ul.labels {
    font-size: 0.75rem;
    margin: 0;
    padding: 0;
    position: absolute;
    list-style-type: none;
}

li.label {
    text-align: right;
    visibility: hidden;
}

li.label:first-of-type > span {
  visibility: visible;
}

li.label:last-of-type > span {
  visibility: visible;
}

text.in {
    fill: #fff;
}

/********************* MAP STYLES *********************/

.state {
    fill: #1696d2;
    stroke: #fff;
    stroke-width: 1px;
}

.stateOutline {
    fill: none;
    stroke: #fff;
    stroke-width: 1.5px;
}

.county {
    fill: #1696d2;
    stroke: #fff;
    stroke-width: 0.5px;
}

.stateLabel {
    text-anchor: middle;
    fill: #fff;
    stroke: none;
}

/********************* LEGEND STYLES ******************/

ul.key {
    list-style-type: none;
    margin-top: 3px;
    padding: 0;
}

li.key-item {
    display: block;
    margin-bottom: 2px;
    margin-right: 20px;
}

li.key-item:last-child {
    margin-right: 0;
}

.legend-square {
    width: 12px;
    height: 12px;
    display: inline-block;
    margin-right: 5px;
}

.legend-line {
    width: 20px;
    height: 20px;
    display: inline-block;
    margin-right: 5px;
    margin-top: 10px;
    border-top-width: 2px;
    border-top-style: solid;
}

.legend-dot {
    width: 20px;
    height: 20px;
    display: inline-block;
    margin-right: 5px;
    border-radius: 50%;
}

.legend-circle {
    border: 1px solid #696969;
    border-radius: 50%;
}

.key-item label {
    line-height: 25px;
    vertical-align: baseline;
    font-size: 14px;
}


/********************* CHECKSWITCH ******************/


input#full-payment-only[type=checkbox], input#btm_20[type=checkbox] {
  height: 0;
  margin: 0;
  width: 0;
  visibility: hidden;
}

label.check-switch {
  border: none;
  cursor: pointer;
  /*text-indent: -9999px;*/
  width: 63px;
  height: 14px;
  background: #696969;
  display: inline-block;
  border-radius: 100px;
}

label.check-switch:after {
  content: '';
  position: absolute;
  top: 3px;
  left: 44px;
  width: 24px;
  height: 24px;
  background: #fff;
  border-radius: 90px;
  -webkit-transition: 0.3s;
  transition: 0.3s;
}


label.check-switch:before {
    color: #FFFFFF;
    content: 'OFF';
    position: absolute;
  top: 3px;
  left: 8px;
}

input#full-payment-only:checked + label, input#btm_20:checked + label {
  background: #1696d2;
}

input#full-payment-only:checked + label:before, input#btm_20:checked + label:before {
        content: 'ON';
    position: absolute;
  top: 3px;
  left: 34px;
}

input#full-payment-only:checked + label:after, input#btm_20:checked + label:after {
  left: 27px;
  -webkit-transform: translateX(-100%);
          transform: translateX(-100%);
}


label {
  margin-bottom: 0;
}

label.check-switch {
  margin-bottom: 0;
  padding-left: 0px;
  position: relative;
  text-transform: uppercase;
  top: 10px;
}


label.inactive:before {
  border-color: $gray-4;
  box-shadow: 0 0 0 1px $gray-4;
}


/* containing label */
.check-switch {
    border: 1px solid #565656;
    display: block;
    overflow: hidden;
    padding: .5em;
    position: relative;
}

.check-switch:hover {
    box-shadow: 0 0 2px 1px #2196f3;
}

/* using the before/after pseudo elements of the span to create the "switch" */
/*.check-switch span:before,
.check-switch span:after {
    border: 1px solid #565656;
    content: "";
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}*/

/* styling specific to the knob of the switch */
.check-switch span:after {
    background: #fff;
    border-radius: 100%;
    height: 1.5em;
    right: 1.5em;
    transition: right .1825s ease-in-out;
    width: 1.5em;
}

/* styling specific to the knob "container" */
/*.check-switch span:before {
    background: #eee;
    border-radius: 1.75em;
    height: 1.75em;
    right: .25em;
    transition: background .2s ease-in-out;
    width: 2.75em;
}*/

/* hide the actual checkbox from view, but not from keyboards or ATs.
   Instead of standard visually hidden styling, instead set opacity to
   almost 0 (not zero for ChomeVox legacy bug), pointer-events none, and
   then set to full height/width of container element so that VO focus
   ring outlines the component, instead of a tiny box within the component
*/
.check-switch input {
    height: 100%;
    left: 0;
    opacity: .0001;
    position: absolute;
    top: 0;
    width: 100%;
}

.check-switch input:not([role="button"]) {
    pointer-events: none;
}

.check-switch input:focus + span:before {
    outline: 2px solid;
}

/* change the position of the knob to indicate it has been checked*/
.check-switch input:checked + span:after {
    right: .25em;
}

/* update the color of the "container" to further visually indicate state */
.check-switch input:checked + span:before {
    background: #2196f3;
}

/* 'color in' the switch knob in high contrast mode by giving it
   a large border */
@media screen and (-ms-high-contrast: active) {
    .check-switch span:after {
        background-color: windowText;
    }
}

.toggle > p.label.sm-screen {
    display: none;
    margin-left: 10px;
}

.toggle > p.label.lg-screen {
    display: inline-block;
}


@media (max-width: 600px){
    li.key-item {
        margin-right: 0px !important;
        width: 50%;
    }

    li.key-item:last-child {
        width: 100%;
    }
}

@media (max-width: 700px){
  .graphic-wrapper {
    float: none;
  }

  div.legend-wrapper {
    float: none;
    width: 100%;
  }

  li.key-item {
    display: inline-block;
    margin-right: 20px;
  }

  ul.key {
    /*display: inline;*/
    margin-left: 50px;
    margin-top: -22px;
  }

  .legend-wrapper > text > span {
    margin-bottom: 7px;
  }
}

@media (max-width: 865px){
    label.check-switch {
        /*float: left;*/
    }

    .toggle {
        display: block;
        float: none;
    }

    .toggle.hidden {
        display: none;
    }

    .toggle.btm {
        border-left: none;
        padding-left: 0;
    }

    .toggle > p.label.lg-screen {
        display: none;
    }

    .toggle > p.label.sm-screen {
        display: inline-block;
        vertical-align: middle;
    }


}

@media (max-width: 515px){
    .toggle.national-only > p.label.sm-screen {
        width: calc(100% - 95px);

    }
}

